aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorSebastian Ehlert <28669218+awvwgk@users.noreply.github.com>2021-09-13 16:45:55 +0200
committerGitHub <noreply@github.com>2021-09-13 16:45:55 +0200
commitdf8c9b4b318ed043030d076ee58393bf5d704f80 (patch)
treed30ac13cc24ace2894f50cb88f9a0c6ae10af98e /ci
parent6bbb3071bc4a7959071642c7a06942d8d784af7c (diff)
downloadfpm-df8c9b4b318ed043030d076ee58393bf5d704f80.tar.gz
fpm-df8c9b4b318ed043030d076ee58393bf5d704f80.zip
Add workflow to create source releases (#563)
- add release workflow to generate source archives - add workflow and script to automatically create single source file
Diffstat (limited to 'ci')
-rwxr-xr-xci/single-file-gfortran.sh11
-rw-r--r--ci/single-file.patch29
2 files changed, 40 insertions, 0 deletions
diff --git a/ci/single-file-gfortran.sh b/ci/single-file-gfortran.sh
new file mode 100755
index 0000000..904c7f8
--- /dev/null
+++ b/ci/single-file-gfortran.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+output="${OUTPUT:-fpm-single-file.F90}"
+
+args=("$@")
+file=$(printf "%s\n" "${args[@]}" | grep -P '^.+\.[fF]90$')
+if [ $? = 0 ]; then
+ echo " + Appending source file '$file' to '${output}'"
+ cat $file >> "${output}"
+fi
+exec gfortran "${args[@]}"
diff --git a/ci/single-file.patch b/ci/single-file.patch
new file mode 100644
index 0000000..7980a7a
--- /dev/null
+++ b/ci/single-file.patch
@@ -0,0 +1,29 @@
+diff --git a/fpm.toml b/fpm.toml
+index 12ec05aa..20425dfd 100644
+--- a/fpm.toml
++++ b/fpm.toml
+@@ -14,22 +14,5 @@ rev = "2f5eaba864ff630ba0c3791126a3f811b6e437f3"
+ git = "https://github.com/urbanjost/M_CLI2.git"
+ rev = "ea6bbffc1c2fb0885e994d37ccf0029c99b19f24"
+
+-[[test]]
+-name = "cli-test"
+-source-dir = "test/cli_test"
+-main = "cli_test.f90"
+-
+-[[test]]
+-name = "new-test"
+-source-dir = "test/new_test"
+-main = "new_test.f90"
+-
+-[[test]]
+-name = "fpm-test"
+-source-dir = "test/fpm_test"
+-main = "main.f90"
+-
+-[[test]]
+-name = "help-test"
+-source-dir = "test/help_test"
+-main = "help_test.f90"
++[build]
++auto-tests = false